List your numbers
curl --request GET \
--url https://api.pyai.com/v1/telephony/numbers \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pyai.com/v1/telephony/numbers"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pyai.com/v1/telephony/numbers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"object": "list",
"data": [
{
"object": "telephony.number",
"id": "pn_...",
"phone_number": "+14155550123",
"country": "US",
"area_code": "415",
"capabilities": {
"voice": true,
"sms": true
},
"agent_id": "<string>",
"recording": true,
"monthly_cost_cents": 123,
"created_at": 123,
"released_at": 123
}
]
}{
"error": {
"message": "<string>",
"type": "<string>",
"param": "<string>"
}
}Telephony
List your numbers
Your org’s managed numbers, newest first. Active only unless include_released=true. Requires the telephony:manage scope.
GET
/
v1
/
telephony
/
numbers
List your numbers
⌘I